Subject: 123 Installer tries to find database before the user is asked to select one.
Description

I am confused why I get the error and nobody? I dont find similar reports.

I have downloaded the 6.1.6 dummy and source packages and opened the root in the browser.

First, there is an infinite redirect loop error (not after the first step like #51667.

After reloading TYPO3 is displaying the installer.

After filling in db user, db host and password, I get the following error:

There is no connection to the database! 
(Username: user, Host: localhost, Using Password: YES) 
Go to Step 1 and enter a valid username and password!

I debugged the following:
\TYPO3\CMS\Dbal\Hooks\InstallHook hooks the stepOutput in \TYPO3\CMS\Install\Installer::stepOutput()

In $GLOBALS[‘TYPO3_DB’] is the \TYPO3\CMS\Dbal\Database\DatabaseConnection and Installer::createDatabaseForm tries to call
the method sol_pconnect of it. This returns NULL because DatabaseConnection::handler_init checks whether a database is set or
not.

What am I doing wrong? Is it a bug. Is it because of the infinite redirect loop? Can I fix it?

Related issues:
related to Core - Bug # 43471: dbal used on clean install using mysql Closed 2012-11-29
related to Core - Bug # 51667: Inf. redirection loop after first Step of Inst... Closed 2013-09-03
related to Core - Bug # 55252: PHP 5.5 and require LocalConfiguration Resolved 2014-01-22
duplicated by Core - Bug # 54337: 1-2-3 Installer fails with "There is no con... Closed 2013-12-11

History
#1 - 2013-11-27 13:15 - Markus Klein
- Category changed from Install Tool to DBAL
- Status changed from New to Needs Feedback

This looks like a DBAL problem. Did you activate the DBAL extension somewhere?
Are you using MySQL?

#2 - 2013-11-27 14:12 - Frederik Vosberg

Thanks for your interest.

Do you mean the TYPO3 extension DBAL?  No, I downloaded the sources and the dummy package from typo3.org/downloads. I am using MySQL:

> mysql --version
mysql  Ver 14.14 Distrib 5.5.34, for debian-linux-gnu (x86_64) using readline 6.2

kind regarts

#3 - 2013-11-27 16:39 - Chris topher

The extension DBAL is already included in the TYPO3 sources you downloaded. What Markus wants to know is: In the TYPO3 Backend, go to the
Extension Manager and check the list of extensions. Is DBAL installed or is it not?

#4 - 2013-11-29 04:28 - Visay Keo

I had the same problem and since the install tool step fail (db connection cannot establish), we don't have the backend to check.

But checking the generated LocalConfiguration.php, it seems that DBAL is still activated.

        'EXT' => array(
                'extListArray' => array(
                        .......,
                        .......,
                        'adodb',
                        'dbal',
                ),
        ),
        'EXTCONF' => array(
                'dbal' => array(
                        'handlerCfg' => array(
                                '_DEFAULT' => array(
                                        'config' => array(
                                                'driver' => NULL,
                                                0 => '',
                                        ),
                                        'type' => 'adodb',
                                ),
                        ),
                ),
        ),

Deactivate dbal from there, everything is working fine. So it's the problem from Install Tool that didn't remove dbal properly.
#5 - 2014-01-22 10:39 - Den Denyer

Just experienced this on 6.1.8-dev  with latest dummy package.
Installed sources as per usual, went to URL to begin installation, got jumped to step 1 in URL (Was not given chance to enter database details).

Found this ticket, removed dbal from LocalConfiguration, altered URL to step 0 and proceeded with installation.

Fell down at step 2, added the socket, port and username./host information to the LocalConfiguration.php and managed to convince the installer to
continue.

#6 - 2014-01-22 11:57 - Alexander Opitz
- Status changed from Needs Feedback to New
- Priority changed from -- undefined -- to Should have
- Is Regression changed from No to Yes

There are now multiple reports for TYPO3 6.0 and 6.1, so it needs investigation.

As I didn't get this issue, I looked through the other reports. And we can see that PHP Version is 5.5. And so I assume, they all do not have the
deprecated php_mysql Extension installed. This leads us to following issue: #50752

I disabled the php_mysql extension on my testing box and get the same problem.

#7 - 2014-01-22 13:27 - Oliver Salzburg

We had a lot of the issues reported here when installing on the latest Ubuntu releases (with whatever MySQL/MariaDB that comes with). Installations
on Debian Wheezy did not have any issues.

Additional information: https://github.com/Ecodev/bootstrap_package/issues/57

#8 - 2014-01-22 13:52 - Alexander Opitz
- Status changed from New to Accepted
- Assigned To set to Alexander Opitz

I'm on this issue, which have 2 parts:

- dbal redirect loop
- dbal blocks Database settings (course no DB is selected on this point).

The issue happens only if the php extensions odbc, pdo or oci8 are installed.

#9 - 2014-01-22 16:24 - Alexander Opitz

For the "dbal redirect loop" I created a new issue: #55252

The point "dbal blocks Database settings" seams to be solved, when the redirect works correctly, but I will let this issue open at the moment.
#10 - 2015-01-09 05:53 - Mathias Schreiber
- Status changed from Accepted to Needs Feedback

any news here?

#11 - 2015-06-10 15:23 - Alexander Opitz
- Status changed from Needs Feedback to Closed
- Assigned To deleted (Alexander Opitz)

No more input so seams resolved.

2015-08-04 4/4


